<?php

namespace Drupal\radar\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Url;

/**
 * Provides a radar block.
 *
 * @Block(
 *   id = "radar",
 *   admin_label = @Translation("Radar")
 * )
 */
class RadarBlock extends BlockBase {

  /**
   * Helper method so we can have consistent dialog options.
   *
   * @return string[]
   *   An array of jQuery UI elements to pass on to our dialog form.
   */
  protected static function getDataDialogOptions() {
    return [
      'width' => '50%',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#markup' => '<a href="'.Url::fromRoute('radar.modal_form')->toString().'" class="use-ajax" data-dialog-type="modal" id="development-in-action" data-dialog-options="{\"width\":\"77%\"}">
                                                    <div class="dot">
                                                      <div class="centraldot"></div>
                                                      <div class="wave"></div>
                                                      <div class="wave2"></div>
                                                    </div>
                                                  </a>',
    ];
  }

}
